%define momorel 23
%define gnome 0
Summary: XMMS - Multimedia player for the X Window System.
Name: xmms
Version: 1.2.7
Release: %{momorel}m
License: GPL
Group: Applications/Multimedia
URL: http://www.xmms.org/
Source0: ftp://ftp.xmms.org/pub/xmms/1.2.x/%{name}-%{version}.tar.bz2
Source1: xmms.desktop
%if %{gnome}
Source2: gnomexmms.desktop
%endif
Source3: mp3license
Source4: README.ESD
Source5: xmms.conf
Patch0: xmms-font.patch
Patch1: xmms-jconv.patch
Patch2: xmms-1.2.5-printf.patch
# Patch2: xmms-0.9.5-optflags.patch
# Patch3: xmms-fixinstdir.patch
Patch4: xmms-1.2.7-kde.patch
# patch10,11 : See http://members.jcom.home.ne.jp/jacobi/linux/xmms.html
Patch10: xmms-1.2.7-mmx.patch
Patch11: xmms-1.2.6-dwbench.patch
Patch12: xmms-1.2.7-xml2.patch
Patch13: http://equ.sourceforge.net/disk_writer.patch

# ipv6 patch
# http://www.version6.net/IPv6-patches/xmms-ipv6-20020408.patch
Patch50: kondara-xmms-ipv6-20020408.patch

Requires: glib1 >= 1.2.2
Requires: gtk+1 >= 1.2.2
Requires: glibc >= 2.1.0
Requires: libjconv >= 2.3
%if %{gnome}
BuildPreReq: gnome-core
%endif
BuildPreReq: glib1-devel >= 1.2.2, gtk+1-devel >= 1.2.2
BuildPreReq: libjconv  >= 2.3 
BuildPreReq: libmikmod-devel, esound-devel
BuildPreReq: arts-devel >= 1.0.3-2m
BuildPreReq: libpng-devel >= 1.2.2
BuildPreReq: audiofile-devel >= 0.2.1
BuildPreReq: autoconf >= 2.52-8k, automake >= 1.5-8k                      
BuildPreReq: libvorbis-devel >= 1.0-2m
Requires: audiofile >= 0.2.1
BuildRoot: %{_tmppath}/%{name}-%{version}-root
Obsoletes: x11amp
NoSource: 0

%description
X MultiMedia System is a sound player written from scratch. Since it
uses the WinAmp GUI, it can use WinAmp skins. It can play mp3s, mods, s3ms,
and other formats. It now has support for input, output, general, and
visualization plugins.

For information on the MP3 License, please visit:
http://www.mpeg.org/

%package devel
Summary: XMMS - Static libraries and header files.
Group: Development/Libraries
Requires: %{name} = %{version}

%description devel
Static libraries and header files required for compiling xmms plugins.

%package esd
Summary: XMMS - Output plugin for use with the esound package.
Group: Applications/Multimedia
Requires: %{name} = %{version}
Requires: esound

%description esd
Output plugin for xmms for use with the esound package.

%if %{gnome}
%package gnome
Summary: XMMS - applet for controlling xmms from the GNOME panel.
Group: Applications/Multimedia
Requires: %{name} = %{version}
Requires: gnome-core >= 1.0.0

%description gnome
GNOME applet for controlling xmms from the GNOME panel.
%endif

%package mesa
Summary: XMMS - Visualization plugins that use the Mesa3d library.
Group: Applications/Multimedia
Requires: %{name} = %{version}
Obsoletes: xmms-Mesa

%description mesa
Visualization plugins that use the Mesa3d library.

%package mikmod
Summary: XMMS - Input plugin to play MODs.
Group: Applications/Multimedia
Requires: %{name} = %{version}
Requires: libmikmod

%description mikmod
Input plugin for XMMS to play MODs (.MOD,.XM,.S3M, etc).

%package vorbis
Summary: XMMS - Input plugin to play Ogg Vorbis.
Group: Applications/Multimedia
Requires: %{name} = %{version}, libvorbis >= 1.0-2m

%description vorbis
Input plugin for XMMS to play Vorbis.
%prep
%setup -q -n %{name}-%{version}

%patch0 -p1 -b .font
%patch1 -p1 -b .jconv
# %patch2 -p1 -b .printf
%patch4 -p1 -b .arts
%patch10 -p1 -b .mmx
%patch11 -p1 -b .bench
%patch12 -p1 -b .xml2
cd Output/disk_writer
%patch13 -p0 -b .dwrite
cd -

%if %{_ipv6}
%patch50 -p1 -b .ipv6
%endif

#cp /usr/share/libtool/ltmain.sh .
#if [ -f /usr/share/libtool/ltconfig ] ; then
#  cp /usr/share/libtool/ltconfig .
#fi
touch `find .`

%if %{gnome}
%define withgnome --with-gnome
%else
%define withgnome --without-gnome
%endif

aclocal-old
automake-old -c -a
autoconf-old


%build
OPTION_IPV6=
%if %{_ipv6}
OPTION_IPV6='--enable-ipv6'
%endif

%ifarch alpha alphaev5
        CC=gcc CFLAGS="%{optflags}" \
        ./configure --prefix=%{_prefix} --sysconfdir=/etc \
	$OPTION_IPV6 \
        --enable-alphablend --host=alpha-pc-linux %{withgnome}
%endif
%ifarch ppc
        CC=gcc CFLAGS="%{optflags}" \
        ./configure --prefix=%{_prefix} --sysconfdir=/etc \
	$OPTION_IPV6 \
        %{withgnome}
%endif
%ifarch %{ix86}
        CC=gcc CFLAGS="%{optflags}" \
        ./configure --prefix=%{_prefix} --sysconfdir=/etc \
	$OPTION_IPV6 \
        --enable-3dnow --enable-simd %{withgnome}
%endif
make

%install
rm -rf %{buildroot}
mkdir %{buildroot}
%if %{gnome}
cp -f %SOURCE2 gnomexmms/
%endif

make DESTDIR=%{buildroot} \
	gnulocaledir=/usr/share/locale \
	m4datadir=/usr/share/aclocal \
	install

mkdir -p %{buildroot}/etc/X11/applnk/Multimedia
install -m 644 %SOURCE1 %{buildroot}/etc/X11/applnk/Multimedia/xmms.desktop

mkdir -p %{buildroot}/etc/libjconv
install -m 644 %SOURCE5 %{buildroot}/etc/libjconv

mkdir -p %{buildroot}/usr/share/{pixmaps,xmms}
# %if %{gnome}
cp gnomexmms/gnomexmms.xpm %{buildroot}/usr/share/xmms/
# %endif
cp wmxmms/wmxmms.xpm %{buildroot}/usr/share/xmms/
# %if %{gnome}
( cd %{buildroot}/usr/share/pixmaps && ln -s ../xmms/gnomexmms.xpm )
# %endif

# move zh_CN.GB2312 -> zh_CN
(
  cd %{buildroot}%{_datadir}/locale
  mv zh_CN.GB2312 zh_CN
)

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc ABOUT-NLS AUTHORS COPYING ChangeLog FAQ INSTALL NEWS README TODO
%doc $RPM_SOURCE_DIR/README.ESD
%config(missingok) %{_sysconfdir}/libjconv/xmms.conf
%{_bindir}/xmms
%{_bindir}/wmxmms
%{_libdir}/libxmms.so.*
%dir %{_libdir}/xmms
%{_libdir}/xmms/Effect
%{_libdir}/xmms/General
%dir %{_libdir}/xmms/Input
%{_libdir}/xmms/Input/libcdaudio.*
%{_libdir}/xmms/Input/libidcin.*
%{_libdir}/xmms/Input/libmpg123.*
%{_libdir}/xmms/Input/libwav.*
%{_libdir}/xmms/Input/libtonegen.*
%dir %{_libdir}/xmms/Output
%{_libdir}/xmms/Output/libOSS.*
%{_libdir}/xmms/Output/libdisk_writer.*
%dir %{_libdir}/xmms/Visualization
%{_libdir}/xmms/Visualization/libbscope.*
%{_libdir}/xmms/Visualization/libsanalyzer.*
%{_sysconfdir}/X11/applnk/Multimedia/xmms.desktop
%dir %{_datadir}/xmms
%{_datadir}/xmms/wmxmms.xpm
%{_datadir}/pixmaps/gnomexmms.xpm
%{_datadir}/xmms/gnomexmms.xpm
%{_datadir}/locale/*/*/*

%files devel
%defattr(-,root,root)
%{_bindir}/xmms-config
%{_includedir}/xmms
%{_libdir}/libxmms.a
%{_libdir}/libxmms.la
%{_libdir}/libxmms.so
%{_datadir}/aclocal/xmms.m4

%files esd
%defattr(-,root,root)
%{_libdir}/xmms/Output/libesdout.*

%if %{gnome}
%files gnome
%defattr(-,root,root)
%{_bindir}/gnomexmms
%{_datadir}/applets/Multimedia/gnomexmms.desktop
%{_sysconfdir}/CORBA/servers/gnomexmms.gnorba
# %{_datadir}/pixmaps/gnomexmms.xpm
# %{_datadir}/xmms/gnomexmms.xpm
%endif

%files mesa
%defattr(-,root,root)
%{_libdir}/xmms/Visualization/libogl_spectrum.*

%files mikmod
%defattr(-,root,root)
%{_libdir}/xmms/Input/libmikmod.*

%files vorbis
%defattr(-,root,root)
%{_libdir}/xmms/Input/libvorbis.*

%changelog
* Mon Oct  6 2003 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.2.7-23m)
- --prefix=/usr

* Wed Jul 23 2003 Masayuki SANO <sano@acs.i.kyoto-u.ac.jp>
- (1.2.7-22m)
- fix source URL
- add BuildPreReq: gtk+1-devel,glib1-devel,libjconv

* Tue Jun 17 2003 Kazuhiko <kazuhiko@fdiary.net>
- (1.2.7-21m)
- run 'aclocal-old'

* Sun May 18 2003 NORIKANE Seiichiro <no_ri@kf6.so-net.ne.jp>
- (1.2.7-20m)
- fix Output/disk_writer plugin.

* Mon Apr  7 2003 Shingo Akagaki <dora@kitty.dnsalias.org>
- (1.2.7-19m)
- try libxml2.

* Mon Sep 30 2002 Kazuhiko <kazuhiko@fdiary.net>
- (1.2.7-18m)
- revise for ppc

* Tue Aug 27 2002 Kazuhiko <kazuhiko@fdiary.net>
- (1.2.7-17m)
- rebuild against arts-1.0.3-2m

* Sat Jul 20 2002 Kentarou SHINOHARA <puntium@momonga-linux.org>
- (1.2.7-16m)
- Removed redundant BuildPreReq
- Changed Requires: in subpackage vorbis from libvorbis to libvorbis > 1.0-2m

* Fri Jul 19 2002 Kentarou SHINOHARA <puntium@momonga-linux.org>
- (1.2.7-15m)
- added BuildPreReq: libvorbis-devel >= 1.0-2m

* Thu May 09 2002 YAMAZAKI Makoto <zaki@kondara.org>
- (1.2.7-14k)
- add ipv6 patch

* Sat May 05 2002 Tadataka Yoshikawa <yosshy@kondara.org>
- (1.2.7-12k)
- applied mmx support patch.
- applied benchmark patch (new option -b).
- http://members.jcom.home.ne.jp/jacobi/linux/xmms.html
- modified jconv patch.

* Sat Apr 20 2002 YAMAZAKI Makoto <zaki@kondara.org>
- (1.2.7-10k)
- rebuild against libpng 1.2.2.

* Sat Apr 13 2002 Toshiro HIKITA <toshi@sodan.org>
- (1.2.7-8k)
- require arts-devel

* Thu Apr  4 2002 Toru Hoshina <t@kondara.org>
- (1.2.7-6k)
- gnomexmms.xpm is moved to main package for backward compatinility.

* Fri Mar 29 2002 Toru Hoshina <t@kondara.org>
- (1.2.7-4k)
- add arts support.

* Tue Mar 19 2002 Tsutomu Yasuda <tom@kondara.org>
- (1.2.7-2k)
  update to 1.2.7

* Tue Mar 5 2002 TABUCHI Takaaki <tab@kondara.org>
- (1.2.5-16k)                      
- merge jirai changes by mitsuru

* Wed Feb 20 2002 Mitsuru Shimamura <mitsuru@diana.dti.ne.jp>    
- (1.2.5-14k)                      
- add BuildPreReq: autoconf >= 2.52-8k, automake >= 1.5-8k

* Sat Feb 16 2002 Shingo Akagaki <dora@kondara.org>
- (1.2.5-12k)
- patch for playlistwin.c (printf() & nazo no glib1 probrem?)

* Fri Feb 15 2002 Shingo Akagaki <dora@kondara.org>
- (1.2.5-10k)
- add gnome macro

* Thu Feb  7 2002 Shingo Akagaki <dora@kondara.org>
- (1.2.5-8k)
- -ljconv

* Thu Nov 15 2001 Motonobu Ichimura <famao@kondara.org>
- (1.2.5-6k)
- move zh_CN.GB2312 -> zh_CN

* Tue Nov 13 2001 Shingo Akagaki <dora@kondara.org>
- (1.2.5-4k)
- nigittenu

* Wed Oct 24 2001 Shigeyuki Yamashita <shige@cty-net.ne.jp>
- (1.2.5-2k)
- update 1.2.5
- remake Patch0 Patch1
- fix SPEC (line 130: gnulocaledir)
- modify xmms-jconv.patch file for jitterbug #896

* Tue Sep 25 2001 MATSUDA, Daiki <dyky@df-usa.com>
- (1.2.4-18k)
- modify spec file for jitterbug #949

* Tue Sep 25 2001 Mitsuru Shimamura <mitsuru@diana.dti.ne.jp>
- (1.2.4-17k)
- change wmxmms.xpm's place (jitterbug #949)
- move gnomexmms.xpm from xmms to xmms-gnome
- THIS CHANGELOG is merged from Jirai tree by tab@kondara.org

* Thu Aug 23 2001 Toru Hoshina <toru@df-usa.com>
- (1.2.4-16k)
- rebuild against libtool 1.4.

* Mon Jul 30 2001 Toru Hoshina <toru@df-usa.com>
- (1.2.4-14k)
- add alphaev5 support.

* Fri May  4 2001 Toru Hoshina <toru@df-usa.com>
- (1.2.4-12k)
- libjconv...

* Tue Apr 10 2001 Daiki Matsuda <dyky@df-usa.com>
- (1.2.4-10k)
- errased Glide3 Glide3-devel from tag

* Fri Mar 30 2001 Toru Hoshina <toru@df-usa.com>
- (1.2.4-9k)
- rebuild against audiofile-0.2.1.

* Sat Jan  6 2001 Daiki Matsuda <dyky@df-usa.com>
- (1.2.4-7k)
- rebuild against Glide3

* Sun Dec 24 2000 Kenichi Matsubara <m@kondara.org>
- (1.2.4-5k)
- rebuild against audiofile-0.2.0.

* Mon Dec 11 2000 Tsutomu Yasuda <tom@digitalfactory.co.jp>
- update to 1.2.4
- enable 3DNow!
- support vorbis Input plugin
- added jconv patch

* Mon Sep 25 2000 Toru Hoshina <t@kondara.org>
- rebuild against esound 0.2.19.

* Fri Jul 14 2000 Hidetomo Machi <mcHT@kondara.org>
- move wmxmms.xpm to /usr/share/pixmaps from /usr/X11R6/share/xmms
- include po files and so on
- add some %dir

* Thu Jul 13 2000 tom <tom@kondara.org>
- update to 1.2.2

* Wed Jul 05 2000 Toru Hoshina <t@kondara.org>
- rebuild against glibc-2.1.90, X-4.0, rpm-3.0.5.

* Wed Jun 28 2000 AYUHANA Tomonori <l@kondara.org>
- (1.2.1-2k)
- Visualization/lib files .* -> .la / .so
- remove *Req*: Mesa*

* Tue Jun 20 2000 tom <tom@kondara.org>
- update to 1.2.1

* Fri Jun 16 2000 tom <tom@kondara.org>
- update to 1.2.0

* Wed May  3 2000 AYUHANA Tomonori <l@kondara.org>
- SPEC fixed ( BuildRoot, Summary, description )

* Tue Mar  7 2000 Shingo Akagaki <dora@kondara.org>
- modified fileinfo.c

* Tue Mar  7 2000 Shigno Akagaki <dora@kondara.org>
- modified mpg123.c
- modified xmms.conf

* Mon Feb 28 2000 Toru Hoshina <t@kondara.org>
- modified spec file.

* Mon Feb 21 2000 Hidetomo Machi <mcHT@kondara.org>
- add "Distribution" tag
- fix xmms-destop file
- include xmms-config in xmms-devel

* Wed Jan 5 2000 Shingo Akagaki <dora@kondara.org>
- add xmms-gnome package
- fix xmms.desktop file

* Sun Nov 7 1999 Toru Hoshina <t@kondara.org>
- be a NoSrc :-P

* Tue Sep 7 1999 Toru Hoshina <hoshina@best.com>
- Added modern x86 CPU auto-detection process for maximum optimization
- 3DNow! patch modified. Select decorder Auto / Force 3DNow! / Force FPU
  Thanks > Osamu Kayasono <kayasono@mb.infoweb.ne.jp>

* Sun Aug 29 1999 Toru Hoshina <hoshina@best.com>
- Separated jconv.c as a libjconv.so :-P

* Tue Aug 28 1999 Toru Hoshina <hoshina@best.com>
- fixed jconv.c BUG again :-< Thanks > Yasuda Tsutomu <_tom_@sf.airnet.ne.jp>

* Tue Aug 24 1999 Toru Hoshina <hoshina@best.com>
- fixed jconv.c BUG Thanks > Yasuda Tsutomu <_tom_@sf.airnet.ne.jp>
- added 3DNow! improvement, automatic detect 3DNow! support CPU
  (use floating-pointer decode routine if your CPU isn't support
   3DNow! instructions)
  (based on mpg123-0.59r and new 3DNow! patch by KIMURA Takuhiro
	<kim@hannah.ipc.miyakyo-u.ac.jp> )
  Thanks > Osamu Kayasono <kayasono@mb.infoweb.ne.jp>

* Wed Aug 4 1999 Toru Hoshina <hoshina@best.com>
- support mikmod 3.1.6.

* Thu Jul 29 1999 Toru Hoshina <hoshina@best.com>
- support alpha blend

* Mon Jun 19 1999 Toru Hoshina <hoshina@best.com>
- update to xmms-0.9.1
- revised Japanese patch.

* Tue Jun 15 1999 Yasuda Tsutomu <_tom_@sf.airnet.ne.jp>
- update to xmms-0.9
- support Japanese

* Thu May 13 1999 Bill Nottingham <notting@redhat.com>
- take debugging printf out of patch.

* Thu May  6 1999 Bill Nottingham <notting@redhat.com>
- update to beta1.1

* Thu Apr 8 1999 The Rasterman <raster@redhat.com>
- patched to have plugin fallback to other plugins for output if plugin fails.

* Mon Mar 29 1999 Michael Maher <mike@redhat.com>
- added desktop entry.

* Mon Mar 22 1999 Michael Maher <mike@redhat.com>
- made some changes to the spec file.
- has 'esd' support now.
- stripped executables.

* Mon Feb 15 1999 Michael Maher <mike@redhat.com>
- built pacakge for 6.0
- changed spec file, added mp3 licenses.

* Mon Feb 15 1999 Ryan Weaver <ryanw@infohwy.com>
  [x11amp-0.9-alpha3-1]
- Updated to alpha3 see ChangLog for changes.

* Wed Jan 13 1999 Ryan Weaver <ryanw@infohwy.com>
  [x11amp-0.9-alpha2-1]
- fixed close button in PL/EQ windows
- fixed shuffel/randomize functions
- removed imlib, no need for imlib anymore
- mpg123 plugin now works on SMP machines, also reduced cpu usage
- fixed so mainwindow will be positioned correct at startup in some windowmanagers
- fixed the playlistwindow buttons that ended up behind the window
- added mikmod plugin into the source tree
- now you can configure the OSS drivers and mpg123 plugin
- SKINSDIR variable can be used again
- added bars as analyzer mode
- in playlistwindow the player control buttons now work, also time window works
