%define momorel 2

Summary: xosd - X on-screen display library
Name: xosd
Version: 2.2.5
Release: %{momorel}m
Group: System Environment/Libraries
Source: http://www.ignavus.net/%{name}-%{version}.tar.gz
Url: http://www.ignavus.net/software.html
License: GPL
BuildRoot: %{_tmppath}/%{name}-%{version}-root
Requires: gdk-pixbuf, gtk+1
BuildRequires: xmms-devel
BuildRequires: gdk-pixbuf-devel
BuildRequires: gtk+1-devel

%description
xosd is a library for displaying an on-screen display (like the one on many TVs) on your X display.

%package devel
Summary: Header files and libraries for developing apps which will use %{name}.
Group: Development/Libraries
Requires: %name = %{PACKAGE_VERSION}

%description devel
The %{name}-devel package contains the header files and libraries needed
to develop programs that use the %{name} library.

Install the %{name}-devel package if you want to develop applications that
will use the %{name} library.

%package -n xmms-xosd
Summary: xosd plugin for xmms
Group: Applications/Multimedia
Requires: %name = %{PACKAGE_VERSION}, xmms, gtk+1

%description -n xmms-xosd
xmms-xosd is an xmms plugin to display various things whenever they change (volume, track, paused/shuffle/repeat etc...)

%prep
%setup -q

%build
%configure
%make

%install
rm -rf %{buildroot}
make DESTDIR=%{buildroot} install

%clean
rm -rf %{buildroot}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%{_bindir}/osd_cat
%{_libdir}/libxosd.so.*
%{_mandir}/man1/*
%{_datadir}/xosd

%files devel
%defattr(-,root,root)
%{_bindir}/xosd-config
%{_libdir}/*.so
%{_libdir}/*.la
%{_libdir}/*.a
%{_datadir}/aclocal/*
%{_includedir}/*
%{_mandir}/man3/*
%doc README ChangeLog NEWS COPYING AUTHORS

%files -n xmms-xosd
%{_libdir}/xmms/General/libxmms_osd.*

%changelog
* Mon Oct  6 2003 Ichiro Nakai <ichiro@n.email.ne.jp>
- (2.2.5-2m)
- rebuild against xmms-1.2.7-23m
- use momorel

* Sat Oct  4 2003 Junichiro Kita <kita@momonga-linux.org>
- (2.2.5-1m)
- ver up

* Sun Apr 20 2003 Junichiro Kita <kita@momonga-linux.org>
- (2.2.1-1m)
- ver up

* Sun Apr 13 2003 TABUCHI Takaaki <tab@momonga-linux.org>
* (2.0.1-2m)
- add BuildRequires: gdk-pixbuf, libglade1

* Thu Jan  9 2003 Junichiro Kita <kita@momonga-linux.org>
* (2.0.1-1m)
- ver up

* Wed Oct 23 2002 Junichiro Kita <kita@momonga-linux.org>
* (1.0.3-2m)
- NoSource yame!

* Sun Sep  1 2002 Junichiro Kita <kita@momonga-linux.org>
* (1.0.3-1m)
- update to 1.0.3

* Thu Aug 15 2002 Junichiro Kita <kita@momonga-linux.org>
- (1.0.1-2m)
- apply ba-tari- patch
- see http://u.dhis.portside.net/~uh/diary/?date=20020815#p01

* Wed Aug 14 2002 Junichiro Kita <kita@momonga-linux.org>
- (1.0.1-1m)
- update to 1.0.1

* Sat Jul 27 2002 Junichiro Kita <kita@kitaj.no-ip.com>
- (1.0.0-1m)
- update to 1.0.0

* Mon Apr 30 2002 YAMAZAKI Makoto <zaki@kondara.org>
- (0.7.0-4k)
- PreReq: /sbin/ldconfig -> glibc

* Sun Mar 10 2002 Junichiro Kita <kita@kitaj.no-ip.com>
- (0.7.0-2k)
- Jirai to STABLE

* Tue Mar 5 2002 TABUCHI Takaaki <tab@kondara.org>
- (0.7.0-5k)
- add xmms-devel at BuildRequires for xmms-config

* Tue Feb 26 2002 kitaj <kita@kitaj.no-ip.com>
- initial build
